IntlCalendar::getActualMaximum
IntlCalendar::getAvailableLocales
IntlCalendar
PHP Manual

# IntlCalendar::getActualMinimum

(PHP 5.5.0, PECL >= 3.0.0a1)

IntlCalendar::getActualMinimum — The minimum value for a field, considering the objectʼs current time

### Description

public int IntlCalendar::getActualMinimum ( int `$field` )

Returns a fieldʼs relative minimum value around the current time. The exact semantics vary by field, but in the general case this is the value that would be obtained if one would set the field value into the greatest relative minimum for the field and would decrement it until reaching the global minimum or the field value wraps around, in which the value returned would be the global minimum or the value before the wrapping, respectively.

For the Gregorian calendar, this is always the same as IntlCalendar::getMinimum().

### Parameters

`field`

  One of the IntlCalendar date/time field constants. These are integer values between 0 and `IntlCalendar::FIELD_COUNT`.

### Return Values

An int representing the minimum value in the fieldʼs unit or `FALSE` on failure.

### See Also

- IntlCalendar::getMinimum() - Get the global minimum value for a field
- IntlCalendar::getGreatestMinimum() - Get the largest local minimum value for a field
- IntlCalendar::getActualMaximum() - The maximum value for a field, considering the objectʼs current time

IntlCalendar::getActualMaximum
IntlCalendar::getAvailableLocales
IntlCalendar
PHP Manual